Bug 500340 - SELinux prevents fprint from taking fingerprint
SELinux prevents fprint from taking fingerprint
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-12 07:01 EDT by Michael Monreal
Modified: 2009-11-18 08:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 08:09:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error 1 (2.53 KB, text/plain)
2009-05-12 07:01 EDT, Michael Monreal
no flags Details
Error 2 (2.68 KB, text/plain)
2009-05-12 07:02 EDT, Michael Monreal
no flags Details
Error 3 (2.48 KB, text/plain)
2009-05-12 07:02 EDT, Michael Monreal
no flags Details

  None (edit)
Description Michael Monreal 2009-05-12 07:01:17 EDT
Unlocking the screen with fingerprint auth does not work in GNOME. It produces three SELinux warnings (see attachments)
Comment 1 Michael Monreal 2009-05-12 07:01:56 EDT
Created attachment 343561 [details]
Error 1
Comment 2 Michael Monreal 2009-05-12 07:02:09 EDT
Created attachment 343562 [details]
Error 2
Comment 3 Michael Monreal 2009-05-12 07:02:24 EDT
Created attachment 343563 [details]
Error 3
Comment 4 Daniel Walsh 2009-05-12 09:23:07 EDT
If you update to the latest policy these should be taken care of.  But none of the SELinux denials are blocking anything.

fprintf is running in permissive mode which means that SELinux is reporting what it would have denied.  If you look at the AVC you will actually see success=yes, which means the access was not denied.

The Avcs are fixed in selinux-policy-3.6.12-34.fc11.noarch

But that does not mean the fprintd will work for you :^(
Comment 5 Michael Monreal 2009-05-12 09:50:00 EDT
Ok, after installing the newest package from koji and having a closer look I found the finger print auth actually works, but not all the time... :/

I still get the "sys_ptrace" (Error 3 above) message btw (the other two are gone now)
Comment 6 Bug Zapper 2009-06-09 11:40:48 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.